## org.codehaus.groovy.ast.expr
Class AttributeExpression

Represents an attribute access (accessing the field of a class) such as the expression "foo.

bar:
  ".

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`AttributeExpression(Expression objectExpression, Expression property)`
`AttributeExpression(Expression objectExpression, Expression property, boolean safe)`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### AttributeExpression

    public AttributeExpression(Expression objectExpression, Expression property)

### AttributeExpression

    public AttributeExpression(Expression objectExpression, Expression property, boolean safe)

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)